package com.lottery.customer.entity;

import io.geekidea.springbootplus.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import io.geekidea.springbootplus.framework.core.validator.groups.Update;

/**
 * 客户账单流水
 *
 * @author fxf
 * @since 2020-09-08
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "TaCustomerBill对象")
public class TaCustomerBill extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "billId不能为空", groups = {Update.class})
    @ApiModelProperty("流水ID")
    @TableId(value = "bill_id", type = IdType.AUTO)
    private Integer billId;

    @NotNull(message = "账户ID不能为空")
    @ApiModelProperty("账户ID")
    private Integer accountId;

    @NotNull(message = "客户ID不能为空")
    @ApiModelProperty("客户ID")
    private Integer customerId;

    @NotBlank(message = "费用类型不能为空")
    @ApiModelProperty("费用类型")
    private String feeType;

    @ApiModelProperty("费用简介")
    private String summary;

    @ApiModelProperty("金额 单位分")
    private Integer amount;

    @NotNull(message = "收支类型 1收,-1支不能为空")
    @ApiModelProperty("收支类型 1收,-1支")
    private Integer feeSign;

    @ApiModelProperty("订单号")
    private String orderId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("状态")
    private Integer status;

}
