package com.lottery.customer.service;

import com.lottery.customer.entity.TaCustomerBill;
import com.lottery.customer.param.TaCustomerBillPageParam;
import com.lottery.customer.vo.TaCustomerBillVo;
import io.geekidea.springbootplus.framework.common.service.BaseService;
import io.geekidea.springbootplus.framework.core.pagination.Paging;

/**
 * 客户账单流水 服务类
 *
 * @author fxf
 * @since 2020-09-08
 */
public interface TaCustomerBillService extends BaseService<TaCustomerBill> {

    /**
     * 保存
     *
     * @param taCustomerBill
     * @return
     * @throws Exception
     */
    boolean saveTaCustomerBill(TaCustomerBill taCustomerBill) throws Exception;

    /**
     * 修改
     *
     * @param taCustomerBill
     * @return
     * @throws Exception
     */
    boolean updateTaCustomerBill(TaCustomerBill taCustomerBill) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteTaCustomerBill(Long id) throws Exception;


    /**
     * 获取分页对象
     *
     * @param taCustomerBillQueryParam
     * @return
     * @throws Exception
     */
    Paging<TaCustomerBillVo> getTaCustomerBillPageList(TaCustomerBillPageParam taCustomerBillPageParam) throws Exception;

}
