package com.lottery.customer.service;

import com.lottery.customer.entity.TaCustomer;
import com.lottery.customer.param.TaCustomerPageParam;
import com.lottery.customer.vo.TaCustomerVo;
import io.geekidea.springbootplus.framework.common.service.BaseService;
import io.geekidea.springbootplus.framework.core.pagination.Paging;

/**
 * 客户 服务类
 *
 * @author fxf
 * @since 2020-09-08
 */
public interface TaCustomerService extends BaseService<TaCustomer> {

    /**
     * 保存
     *
     * @param taCustomer
     * @return
     * @throws Exception
     */
    boolean saveTaCustomer(TaCustomer taCustomer) throws Exception;

    /**
     * 修改
     *
     * @param taCustomer
     * @return
     * @throws Exception
     */
    boolean updateTaCustomer(TaCustomer taCustomer) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteTaCustomer(Long id) throws Exception;


    /**
     * 获取分页对象
     *
     * @param taCustomerQueryParam
     * @return
     * @throws Exception
     */
    Paging<TaCustomerVo> getTaCustomerPageList(TaCustomerPageParam taCustomerPageParam) throws Exception;

}
