package com.lottery.customer.service.impl;

import com.lottery.customer.entity.TaCustomerBill;
import com.lottery.customer.mapper.TaCustomerBillMapper;
import com.lottery.customer.service.TaCustomerBillService;
import com.lottery.customer.param.TaCustomerBillPageParam;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.lottery.customer.vo.TaCustomerBillVo;
import io.geekidea.springbootplus.framework.common.service.impl.BaseServiceImpl;
import io.geekidea.springbootplus.framework.core.pagination.Paging;
import io.geekidea.springbootplus.framework.core.pagination.PageInfo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.transaction.annotation.Transactional;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 客户账单流水 服务实现类
 *
 * @author fxf
 * @since 2020-09-08
 */
@Slf4j
@Service
public class TaCustomerBillServiceImpl extends BaseServiceImpl<TaCustomerBillMapper, TaCustomerBill> implements TaCustomerBillService {

    @Autowired
    private TaCustomerBillMapper taCustomerBillMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveTaCustomerBill(TaCustomerBill taCustomerBill) throws Exception {
        return super.save(taCustomerBill);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean updateTaCustomerBill(TaCustomerBill taCustomerBill) throws Exception {
        return super.updateById(taCustomerBill);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean deleteTaCustomerBill(Long id) throws Exception {
        return super.removeById(id);
    }

    @Override
    public Paging<TaCustomerBillVo> getTaCustomerBillPageList(TaCustomerBillPageParam taCustomerBillPageParam) throws Exception {
        Page<TaCustomerBill> page = new PageInfo<>(taCustomerBillPageParam, OrderItem.desc(getLambdaColumn(TaCustomerBill::getCreateDate)));
        IPage<TaCustomerBillVo> iPage = taCustomerBillMapper.selectBillPageList(page, taCustomerBillPageParam);
        return new Paging<TaCustomerBillVo>(iPage);
    }

}
