package com.lottery.customer.service.impl;

import com.lottery.customer.entity.TaCustomer;
import com.lottery.customer.mapper.TaCustomerMapper;
import com.lottery.customer.service.TaCustomerService;
import com.lottery.customer.param.TaCustomerPageParam;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.lottery.customer.vo.TaCustomerVo;
import io.geekidea.springbootplus.framework.common.service.impl.BaseServiceImpl;
import io.geekidea.springbootplus.framework.core.pagination.Paging;
import io.geekidea.springbootplus.framework.core.pagination.PageInfo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.transaction.annotation.Transactional;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 客户 服务实现类
 *
 * @author fxf
 * @since 2020-09-08
 */
@Slf4j
@Service
public class TaCustomerServiceImpl extends BaseServiceImpl<TaCustomerMapper, TaCustomer> implements TaCustomerService {

    @Autowired
    private TaCustomerMapper taCustomerMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveTaCustomer(TaCustomer taCustomer) throws Exception {
        return super.save(taCustomer);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean updateTaCustomer(TaCustomer taCustomer) throws Exception {
        return super.updateById(taCustomer);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean deleteTaCustomer(Long id) throws Exception {
        return super.removeById(id);
    }

    @Override
    public Paging<TaCustomerVo> getTaCustomerPageList(TaCustomerPageParam taCustomerPageParam) throws Exception {
        Page<TaCustomer> page = new PageInfo<>(taCustomerPageParam, OrderItem.desc(getLambdaColumn(TaCustomer::getCreateDate)));
        IPage<TaCustomerVo> iPage = taCustomerMapper.selectListPage(page, taCustomerPageParam);
        return new Paging<TaCustomerVo>(iPage);
    }

}
