package com.lottery.customer.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.geekidea.springbootplus.framework.common.entity.BaseEntity;
import io.geekidea.springbootplus.framework.core.validator.groups.Update;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 客户
 *
 * @author fxf
 * @since 2020-09-08
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "TaCustomer对象")
public class TaCustomerVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "customerId不能为空", groups = {Update.class})
    @ApiModelProperty("客户ID")
    private Integer customerId;

    @ApiModelProperty("昵称")
    private String name;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty("自我介绍")
    private String description;

    @ApiModelProperty("手机")
    private String phone;

    @ApiModelProperty("登录密码")
    private String loginPass;

    @ApiModelProperty("提现密码")
    private String cashPass;

    @ApiModelProperty("身份证")
    private String idCard;

    @ApiModelProperty("推荐店铺")
    private Integer recShop;

    @ApiModelProperty("推荐人")
    private Integer recPerson;

    @ApiModelProperty("粉丝数")
    private Integer fansNum;

    @ApiModelProperty("关注数")
    private Integer favorNum;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("推荐渠道")
    private Integer recChannel;

    @ApiModelProperty("推荐店铺名称")
    private String recShopName;

}
