package com.lottery.shop.entity;

import io.geekidea.springbootplus.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import io.geekidea.springbootplus.framework.core.validator.groups.Update;

/**
 * 店铺 
 *
 * @author fxf
 * @since 2020-09-07
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "TaShop对象")
public class TaShop extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "shopId不能为空", groups = {Update.class})
    @ApiModelProperty("店铺ID")
    @TableId(value = "shop_id", type = IdType.AUTO)
    private Integer shopId;

    @NotBlank(message = "店铺名称不能为空")
    @ApiModelProperty("店铺名称")
    private String name;

    @ApiModelProperty("图标")
    private String avatar;

    @ApiModelProperty("所在省")
    private String provinceId;

    @ApiModelProperty("所在市")
    private String cityId;

    @ApiModelProperty("经度")
    private String lng;

    @ApiModelProperty("维度")
    private String lat;

    @ApiModelProperty("详细地址")
    private String address;

    @NotNull(message = "店主不能为空")
    @ApiModelProperty("店主")
    private Integer keeperId;

    @ApiModelProperty("关联渠道")
    private Integer channelId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("状态")
    private Boolean status;

}
