package com.lottery.shop.service;

import com.lottery.shop.entity.TaShop;
import com.lottery.shop.param.TaShopPageParam;
import io.geekidea.springbootplus.framework.common.service.BaseService;
import io.geekidea.springbootplus.framework.core.pagination.Paging;

/**
 * 店铺  服务类
 *
 * @author fxf
 * @since 2020-09-07
 */
public interface TaShopService extends BaseService<TaShop> {

    /**
     * 保存
     *
     * @param taShop
     * @return
     * @throws Exception
     */
    boolean saveTaShop(TaShop taShop) throws Exception;

    /**
     * 修改
     *
     * @param taShop
     * @return
     * @throws Exception
     */
    boolean updateTaShop(TaShop taShop) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteTaShop(Long id) throws Exception;


    /**
     * 获取分页对象
     *
     * @param taShopQueryParam
     * @return
     * @throws Exception
     */
    Paging<TaShop> getTaShopPageList(TaShopPageParam taShopPageParam) throws Exception;

}
