package com.lottery.type.entity;

import io.geekidea.springbootplus.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import io.geekidea.springbootplus.framework.core.validator.groups.Update;

/**
 * 彩种
 *
 * @author fxf
 * @since 2020-09-07
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "TdLottery对象")
public class TdLottery extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @NotBlank(message = "彩种ID不能为空")
    @ApiModelProperty("彩种ID")
    @TableId(value = "lottery_id", type = IdType.AUTO)
    private String lotteryId;

    @NotBlank(message = "名称不能为空")
    @ApiModelProperty("名称")
    private String name;

    @NotBlank(message = "别名不能为空")
    @ApiModelProperty("别名")
    private String aliaName;

    @ApiModelProperty("简介")
    private String description;

    @NotBlank(message = "图标不能为空")
    @ApiModelProperty("图标")
    private String icon;

    @ApiModelProperty("类型")
    private String lotteryType;

    @ApiModelProperty("所属地")
    private String areaId;

    @ApiModelProperty("前区数字范围 0,32代表最小值等于0,最大值等于32")
    private String firstRange;

    @ApiModelProperty("后区数字范围 0,16代表最小值等于0,最大值等于16")
    private String secondRange;

    @ApiModelProperty("数字区是否重复")
    private Boolean isRepeat;

    @ApiModelProperty("是否地方彩")
    private Boolean isLocal;

    @ApiModelProperty("是否高频彩")
    private Boolean isHigh;

    @ApiModelProperty("是否足彩")
    private Boolean isFootball;

    @ApiModelProperty("是否篮彩")
    private Boolean isBasketball;

    @ApiModelProperty("是否竞彩")
    private Boolean isSport;

    @ApiModelProperty("是否数字彩")
    private Boolean isDigit;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("排序")
    private Integer sortNo;

    @ApiModelProperty("停售时间")
    private String closedTime;

    @ApiModelProperty("单注金额 单位分")
    private Integer unitPrice;

    @ApiModelProperty("是否允许追加")
    private Boolean isAdd;

    @ApiModelProperty("单注追加金额 单位分")
    private Integer unitAddPrice;

    @ApiModelProperty("单票倍数限制")
    private Integer maxTimes;

    @ApiModelProperty("单票金额限制")
    private Integer maxPrice;

    @ApiModelProperty("单票基本加追加限制")
    private Integer maxAddPrice;

}
